from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XColumnRowRange(XInterface, Protocol):
    def getColumns(self) -> XTableColumns: ...
    def getRows(self) -> XTableRows: ...
